#ifndef _ADC_H_
#define _ADC_H_

#include "inttypes.h"


//Definition of ADC channels
#define AIN0 0
#define AIN1 1
#define AIN2 2
#define AIN3 3
#define AIN4 4
#define AIN5 5
#define AIN6 6
#define AIN7 7


//odczytuje wartość na danym kanale z 1 przetwornika ADC (ADC0)
uint16 getAnalogueInput0(uint8 channel);
//odczytuje wartość na danym kanale z 2 przetwornika ADC (ADC1)
uint16 getAnalogueInput1(uint8 channel);

//inicjuj przetworniki (ADC0 i ADC1)
void initAdc(void);

#endif
